com.sun.jna.platform.win32.COM

## Class EnumVariant

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.EnumVariant

All Implemented Interfaces:
  NativeMapped, IEnumVariant, IUnknown

    public class EnumVariant
    extends Unknown
    implements IEnumVariant

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

`Unknown.ByReference`

### Field Summary

Fields
`static Guid.IID` `IID`
`static Guid.REFIID` `REFIID`

### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`IID_IUNKNOWN`

### Constructor Summary

Constructors
Constructor and Description
`EnumVariant()`
`EnumVariant(Pointer p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`EnumVariant` `Clone()` Creates a copy of the current state of enumeration.
`Variant.VARIANT[]` `Next(int count)` Retrieves the specified items in the enumeration sequence.
`void` `Reset()` Resets the enumeration sequence to the beginning.
`void` `Skip(int count)` Attempts to skip over the next celt elements in the enumeration sequence.

### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

`AddRef, QueryInterface, Release`

### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

`_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`AddRef, QueryInterface, Release`

### Field Detail

#### IID

    public static final Guid.IID IID

#### REFIID

    public static final Guid.REFIID REFIID

### Constructor Detail

#### EnumVariant

    public EnumVariant()

#### EnumVariant

    public EnumVariant(Pointer p)

### Method Detail

#### Next

    public Variant.VARIANT[] Next(int count)

Description copied from interface: `IEnumVariant`
Retrieves the specified items in the enumeration sequence.

Count is the upper limit and less values can be retrieved.

Specified by:
  `Next` in interface `IEnumVariant`
Parameters:
  `count` - maximum number of elements to retrieve
Returns:
  array of VARIANTs

#### Skip

    public void Skip(int count)

Description copied from interface: `IEnumVariant`
Attempts to skip over the next celt elements in the enumeration sequence.

Specified by:
  `Skip` in interface `IEnumVariant`
Parameters:
  `count` - elements to skip

#### Reset

    public void Reset()

Description copied from interface: `IEnumVariant`
Resets the enumeration sequence to the beginning.

Specified by:
  `Reset` in interface `IEnumVariant`

#### Clone

    public EnumVariant Clone()

Description copied from interface: `IEnumVariant`
Creates a copy of the current state of enumeration.

Specified by:
  `Clone` in interface `IEnumVariant`
Returns:
  clone of the backing enumeration

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.